{{- if .Values.enabled -}}
{{- if .Values.jupyterlab.enabled -}}
{{- $primaryVolumeMount := .Values.core.primaryVolumeMount -}}
{{- $pstJupyterlab := index .Values.jupyterlab -}}
{{- $pstOciTag := .Values.image.tag }}
{{- $pstAppVersion := .Chart.AppVersion }}
{{- $pstSDP := index .Values.sdp -}}
apiVersion: v1
kind: Pod
metadata:
  name: {{include "ska-pst.fullname" .}}-jupyterlab
  labels:
    {{- include "ska-pst-jupyterlab.labels" . | nindent 4}}
spec:
  {{- with .Values.imagePullSecrets}}
imagePullSecrets:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  serviceAccountName: {{ include "ska-pst.serviceAccountName" . }}-jupyterlab
  securityContext:
    {{- toYaml .Values.podSecurityContext | nindent 8 }}
  containers:
    - name: jupyterlab
      securityContext:
        {{- toYaml .Values.securityContext | nindent 12 }}
      image: "{{ .Values.image.registry }}/{{ $pstJupyterlab.image }}:{{ coalesce $pstJupyterlab.tag $pstOciTag $pstAppVersion }}"
      imagePullPolicy: {{ .Values.image.pullPolicy }}
      command:
        - jupyter
      tty: true
      args:
        - lab
        - --no-browser
        - --ip=0.0.0.0
        - --notebook-dir=/app/notebooks
        - --NotebookApp.token=''
        - --NotebookApp.password=''
        - --NotebookApp.base_url='{{ include "ingress_path_prepend" . }}/jupyterlab/'
      env:
        - name: TANGO_HOST
          value: {{ .Values.global.tango_host }}
      ports:
        {{- range $key, $value := $pstJupyterlab.service.ports }}
        - name: {{ $key }}
          containerPort: {{ $value.targetPort }}
        {{- end }}
      # sdp shared storage
      # livenessProbe: {}
      # readinessProbe: {}
      resources:
        {{- toYaml $pstJupyterlab.resources | nindent 12 }}
      volumeMounts:
      # ska-pst-core storage
        - name: ska-pst-lfs
          mountPath: {{ $primaryVolumeMount.containerPath }}
      {{- range $index, $volume_configuration := .Values.extraVolumeMounts }}
        - name: {{ lower $volume_configuration.name }}
          mountPath: {{ $volume_configuration.containerPath }}
      {{- end }}
      # sdp shared storage
        - name: sdp-shared-storage
          mountPath: {{ $pstSDP.containerPath }}
  {{- with .Values.nodeSelector }}
  nodeSelector:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  {{- with .Values.affinity }}
  affinity:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  {{- with .Values.tolerations }}
  tolerations:
    {{- toYaml . | nindent 8 }}
  {{- end }}
  volumes:
  # ska-pst-core storage
    - name: ska-pst-lfs
      {{- if eq $primaryVolumeMount.type "emptyDir" }}
      emptyDir:
        sizeLimit: {{ $primaryVolumeMount.size }}
      {{- else }}
      persistentVolumeClaim:
        claimName: {{ lower $primaryVolumeMount.name }}-pvc
      {{- end }}
  {{- range $index, $volume_configuration := .Values.extraVolumeMounts }}
    - name: {{ lower $volume_configuration.name }}
      {{- if eq $volume_configuration.type "emptyDir" }}
      emptyDir:
        sizeLimit: {{ $volume_configuration.size }}
      {{- else }}
      persistentVolumeClaim:
        claimName: {{ lower $volume_configuration.name }}-pvc
      {{- end }}
  {{- end }}
  # sdp shared storage
    - name: sdp-shared-storage
      persistentVolumeClaim:
        claimName: {{ include "sendDpPvcName" . }}
{{- end }}
{{- end }}
